h49509
s 00108/00000/00000
d D 1.1 83/03/02 17:46:46 mjb 1 0
c date and time created 83/03/02 17:46:46 by mjb
e
u
mjb
tes
U
t
T
I 1
subroutine graph5
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Manage the GRAPH menu selection and actions for        #
#               overlay 2.                                             #
#                                                                      #
#     Input Parameters:                                                #
#            none                                                      #
#                                                                      #
#     Output Parameters:                                               #
#            None                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            None                                                      #
#                                                                      #
########################################################################
integer i, item
SHORTINT bitem

integer iclear, jump, jmpary(MAXxJUMP)

include(`gphcom')

data jmpary /JUMPxTABLE/

call chgmod (EXITxGRAPHICSxMODE)

iclear = YES
call apmenu (mid, iclear)

action = NUL

if (mid == PIExEDIT) {      # edit pie
   call cpeatt (krmain)
   }
else if (mid == ADVANCEDxPIExEDIT) {      # advanced pie edit
   call cpaatt
   }
else if (mid == MULTIPLExCHARTSxPERxPAGE) {  # multiple charts per page
   call cgmult
   }

call apdata (1, FOREVER)

repeat {
   call selitm (mid, item)
   bitem = item
   jump = MAXxJUMP
   do i=1, MAXxJUMP {
      if (mid == jmpary(i)) {
         jump = i
         break
         }
      }

   go to (JUMPxTABLE), jump

   MAINxMENU continue

   CREATExNEWxCHART continue

   DATAxINPUTxMODE continue 
      go to OTHERxWISE

   MULTIPLExCHARTSxPERxPAGE continue 
      call mnumlt (bitem)
      go to OTHERxWISE

   DEVICExSELECTION continue 
      go to OTHERxWISE

   PIExEDIT continue 
      call mnuped (bitem)
      go to OTHERxWISE

   ADVANCEDxPIExEDIT continue 
      call mnupae (bitem)

   GRAPHxDATAxFRAME continue

   GRAPHxEDIT continue 

   ADVANCEDxGRAPHxEDIT continue 

   NUMERICxAXESxEDIT continue 

   PERIODICxAXESxEDIT continue 

   ANNOTATE continue 

   MOVExLEGEND continue

   DATAxACCESSxMETHOD continue 

   OTHERxWISE continue

   } until (action != 0)

return
end
E 1
